Integrations

Cancel an authorization

POST
/integrations/authorizations/{session_id}/cancel

Cancel a pending authorization session of the caller.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

session_id*string

Resource identifier: session_id.

Formatuuid

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128
Idempotency-Key*string

A unique key for this intended write. Reuse it only for an identical retry.

Length1 <= length <= 200

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/integrations/authorizations/123e4567-e89b-42d3-a456-426614174000/cancel" \  -H "Idempotency-Key: 123e4567-e89b-42d3-a456-426614174000"
{  "session_id": "123e4567-e89b-42d3-a456-426614174000",  "status": "ACTIVE",  "expires_at": "example"}